Update User
curl --request PATCH \
--url https://api.yapily.com/users/{userUuid} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json-patch+json' \
--data '
[
{
"path": "<string>",
"value": "<string>"
}
]
'import requests
url = "https://api.yapily.com/users/{userUuid}"
payload = [
{
"path": "<string>",
"value": "<string>"
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json-patch+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json-patch+json'
},
body: JSON.stringify([{path: '<string>', value: '<string>'}])
};
fetch('https://api.yapily.com/users/{userUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicationUserId": "<string>",
"referenceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"institutionConsents": [
{
"institutionId": "<string>"
}
],
"vopOptOut": false
}{
"error": {
"tracingId": "74b13ce8ed51419f92c5d609e04532de",
"code": 424,
"institutionError": {
"errorMessage": "{\"Code\":\"500 Internal Server Error\",\"Id\":\"5ff8d331-4282-41e0-b5ef-1ac9ac39f009\",\"Message\":\"Technical Error. Please try again later\",\"Errors\":[{\"ErrorCode\":\"UK.OBIE.UnexpectedError\",\"Message\":\"There was a problem processing your request. Please try again later\"}]}",
"httpStatusCode": 500
},
"source": "INSTITUTION",
"status": "FAILED_DEPENDENCY"
}
}Users
Update User
Update the users information
Update User
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Mandatory. The Yapily generated UUID for the user.
Body
application/json-patch+json
Response
Created
Information about a user of an application.
A unique identifier for the 'User' assigned by Yapily.
Unique identifier of the application the user is associated with.
Conditional. The user-friendly reference to the User.
Date and time of when the user was created.
Show child attributes
Show child attributes
Optional. A flag to indicate whether the user has opted out of VOP.
Was this page helpful?
⌘I